import { Event } from '@skyway-sdk/common';
import { LocalAudioStream, LocalPersonImpl, LocalVideoStream, Member, Publication, PublicationImpl, SkyWayConnection, Subscription, SubscriptionImpl } from '@skyway-sdk/core';
import { SfuRestApiClient } from '@skyway-sdk/sfu-api-client';
import { Receiver } from './receiver';
import { Sender } from './sender';
import { TransportRepository } from './transport/transportRepository';
export declare class SFUConnection implements SkyWayConnection {
    private readonly _api;
    readonly channelId: string;
    readonly localPerson: LocalPersonImpl;
    readonly remoteMember: Member;
    private _transportRepository;
    readonly type = "sfu";
    readonly onDisconnect: Event<void>;
    readonly onClose: Event<void>;
    closed: boolean;
    private _receivers;
    private _senders;
    private _consumeQueue;
    /**@internal */
    constructor(_api: SfuRestApiClient, channelId: string, localPerson: LocalPersonImpl, remoteMember: Member, _transportRepository: TransportRepository);
    /**@internal */
    addSender(publication: PublicationImpl<LocalVideoStream | LocalAudioStream>): Sender;
    /**@internal */
    removeSender(originPublicationId: string): void;
    /**@internal */
    startSubscribing(subscription: SubscriptionImpl): Promise<void>;
    private _startSubscribing;
    /**@internal */
    stopSubscribing(subscription: Subscription): Promise<void>;
    /**@internal */
    stopPublishing(publication: Publication): Promise<void>;
    /**@internal */
    close(): void;
    /**@internal */
    getReceiver(subscriptionId: string): Receiver | undefined;
    /**@internal */
    getSender(forwardingId: string): Sender | undefined;
    /**@internal */
    getRTCPeerConnection(subscriptionOrForwardingId: string): RTCPeerConnection | undefined;
}
//# sourceMappingURL=index.d.ts.map