import { IceManager, Member, Subscription } from '@skyway-sdk/core';
import { SfuRestApiClient } from '@skyway-sdk/sfu-api-client';
import { TransportRepository } from './transport/transportRepository';
export declare class Receiver {
    readonly subscription: Subscription;
    private readonly _api;
    private readonly _transportRepository;
    private _localPersonId;
    private _bot;
    private _iceManager;
    private _consumer?;
    private _transport?;
    constructor(subscription: Subscription, _api: SfuRestApiClient, _transportRepository: TransportRepository, _localPersonId: string, _bot: Member, _iceManager: IceManager);
    consume(): Promise<{
        track: MediaStreamTrack;
        codecs: import("mediasoup-client/lib/RtpParameters").RtpCodecParameters[];
    }>;
    unconsume(): void;
    getStats(): Promise<{}>;
    get pc(): RTCPeerConnection | undefined;
}
//# sourceMappingURL=receiver.d.ts.map