import { IceManager, LocalAudioStream, LocalVideoStream, Member, PublicationImpl } from '@skyway-sdk/core';
import { SfuRestApiClient } from '@skyway-sdk/sfu-api-client';
import { ForwardingConfigure } from '../forwarding';
import { TransportRepository } from './transport/transportRepository';
export declare class Sender {
    readonly publication: PublicationImpl<LocalVideoStream | LocalAudioStream>;
    private readonly _api;
    private _transportRepository;
    private _localPersonId;
    private _bot;
    private _iceManager;
    private _producer?;
    private _transport?;
    forwardingId?: string;
    private _disposer;
    constructor(publication: PublicationImpl<LocalVideoStream | LocalAudioStream>, _api: SfuRestApiClient, _transportRepository: TransportRepository, _localPersonId: string, _bot: Member, _iceManager: IceManager);
    startForwarding(configure: ForwardingConfigure): Promise<string>;
    private _produce;
    unproduce(): void;
    private static _onProduce;
    private _replaceTrack;
    getStats(): Promise<{}>;
    close(): void;
    get pc(): RTCPeerConnection | undefined;
}
//# sourceMappingURL=sender.d.ts.map