import { SkyWayContext } from '@skyway-sdk/core';
import { SfuRestApiClient } from '@skyway-sdk/sfu-api-client';
import { TransportOptions } from 'mediasoup-client/lib/Transport';
import { SfuTransport } from './transport';
export declare class TransportRepository {
    private _context;
    private readonly _api;
    private readonly _device;
    /**@private */
    _transports: {
        [id: string]: SfuTransport;
    };
    get rtpCapabilities(): import("mediasoup-client/lib/RtpParameters").RtpCapabilities | undefined;
    constructor(_context: SkyWayContext, _api: SfuRestApiClient);
    loadDevice(rtpCapabilities: object): Promise<void>;
    /**worker内にmemberIdに紐つくTransportが無ければ新しいTransportが作られる */
    createTransport(personId: string, transportOptions: TransportOptions, direction: 'send' | 'recv', iceServers: RTCIceServer[]): SfuTransport;
    readonly getTransport: (personId: string, id: string) => SfuTransport;
    deleteTransports(personId: string): void;
}
//# sourceMappingURL=transportRepository.d.ts.map