"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Forwarding = void 0;
const common_1 = require("@skyway-sdk/common");
class Forwarding {
    /**@internal */
    constructor(configure, originPublication, relayingPublication) {
        this.configure = configure;
        this.originPublication = originPublication;
        this.relayingPublication = relayingPublication;
        this.status = 'started';
        this.onStopped = new common_1.Event();
    }
    get id() {
        return this.relayingPublication.id;
    }
    stop() {
        this.status = 'stopped';
        this.onStopped.emit();
    }
    toJSON() {
        return {
            id: this.id,
            configure: this.configure,
            originPublication: this.originPublication,
            relayingPublication: this.relayingPublication,
        };
    }
}
exports.Forwarding = Forwarding;
//# sourceMappingURL=forwarding.js.map