import { Channel, SkyWayChannelImpl, SkyWayPlugin } from '@skyway-sdk/core';
import model from '@skyway-sdk/model';
import { SfuApiOptions } from '@skyway-sdk/sfu-api-client';
import { TransportRepository } from './connection/transport/transportRepository';
import { SfuBotMember } from './member';
export type { SfuApiOptions };
export declare class SfuClientPlugin extends SkyWayPlugin {
    readonly subtype = "sfu";
    readonly options: SfuClientPluginOptions;
    private _api;
    /**@private */
    _transportRepository: TransportRepository;
    constructor(_options?: Partial<SfuClientPluginOptions>);
    /**@private */
    _createRemoteMember: (channel: SkyWayChannelImpl, sfuBot: model.Member) => SfuBotMember;
    /**
     * @description {japanese} SFU BotをChannelに呼び出す
     */
    createBot: (channel: Channel) => Promise<SfuBotMember>;
    /**
     * @description {japanese} SFU BotをChannelから削除する
     */
    deleteBot: (channel: Channel, botId: string) => Promise<void>;
}
export declare type SfuClientPluginOptions = Omit<SfuApiOptions, 'logLevel'> & {
    endpointTimeout: number;
};
//# sourceMappingURL=plugin.d.ts.map